
  <div [formGroup]="form">
    <!-- Line Items -->    
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Intl CPE Fields</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div>
          <dx-data-grid #grid class="mb-3" [dataSource]="cpeItemsList"
                        [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                        [showBorders]="true" [columnAutoWidth]="true"
                        (onSelectionChanged)="selectionChangedHandler($event)"
                        (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())">
            <dxo-sorting mode="multiple"></dxo-sorting>
            <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
            <dxo-paging [pageSize]="50"></dxo-paging>
            <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
            <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
            <dxo-editing mode="cell"
                         [allowUpdating]="true">
            </dxo-editing>
            <dxi-column dataField="ftn" dataType="string" [visible]="false"></dxi-column>
            <dxi-column dataField="cpeOrdrId" dataType="string" [visible]="false"></dxi-column>
            <dxi-column dataField="cpeLineItemId" dataType="string" [visible]="false"></dxi-column>
            <dxi-column dataField="deviceId" caption="Device ID" dataType="string" [allowEditing]="false"></dxi-column>
            <dxi-column dataField="manfPartCd" caption="Manufacturer Part Number" dataType="string" [allowEditing]="false"></dxi-column>
            <dxi-column dataField="equipId" caption="Equipment ID" dataType="string" [allowEditing]="false"></dxi-column>
            <dxi-column dataField="equipDesc" caption="Equipment Description" dataType="string" [allowEditing]="false"></dxi-column>
            <dxi-column dataField="equipManf" caption="Equipment Manufacturer" dataType="string" [allowEditing]="false"></dxi-column>
            <dxi-column dataField="poNbr" caption="Purchase Order#" dataType="string" [allowEditing]="false"></dxi-column>
            <dxi-column dataField="orderShipDate" caption="Order Ship Date to Cust" dataType="date"></dxi-column>
            <dxi-column dataField="carrierNme" caption="Carrier Name" dataType="string"></dxi-column>
            <dxi-column dataField="shipTrkNbr" caption="Ship Track#" dataType="string"></dxi-column>
            <dxi-column dataField="custDelvryDate" caption="Cust Delivery Date" dataType="string" [allowEditing]="false"></dxi-column>
          </dx-data-grid>
        </div>

        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-12 text-danger">CPE Order Status: </label>
            <div class="col-24 col-lg-12">
              <dx-select-box [items]="orderStatusDataSource" formControlName="cpeOrderStatus"
                             displayExpr="Name" valueExpr="ID" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['Name']"
                             (onValueChanged)="changeCpeOrderStatus($event)"></dx-select-box>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-12">CPE Completion Date: </label>
            <div class="col-24 col-lg-12">
              <dx-date-box type="datetime"
                           [acceptCustomValue]="false"
                           displayFormat="MM/dd/yyyy"
                           width="100%"
                           [useMaskBehavior]="true"
                           [value]="cpeCompletionDate"
                           formControlName="cpeCompletionDate">
              </dx-date-box>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-12">Requisition Amount ($): </label>
            <div class="col-24 col-lg-12">
              <input type="text" class="form-control form-control-sm" formControlName="reqAmount" [value]="reqAmount">
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-12">CPE Equipment Type: </label>
            <div class="col-24 col-lg-12">
              <input type="text" class="form-control form-control-sm" formControlName="cpeEquipType" [value]="cpeEquipType">
            </div>
          </div>
        </div>
        <div class="form-row" *ngIf="parent.showNID">
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-12">NID Serial #: </label>
            <div class="col-24 col-lg-12">
              <input type="text" class="form-control form-control-sm" formControlName="nidSerialNumber" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24 col-lg-10">
            <label class="col-form-label col-24 col-lg-12">NID IP: </label>
            <div class="col-24 col-lg-12">
              <input type="text" class="form-control form-control-sm" formControlName="nidIp" [readonly]="true" />
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
